Compile error on Raspbian
 

News:

11 April 2017 - PtokaX 0.5.2.2 released...
8 April 2015 Anti child and anti pedo pr0n scripts are not allowed anymore on this board!
28 September 2015 - PtokaX 0.5.2.1 for Windows 10 IoT released...
3 September 2015 - PtokaX 0.5.2.1 released...
16 August 2015 - PtokaX 0.5.2.0 released...
1 August 2015 - Crowdfunding for ADC protocol support in PtokaX ended. Clearly nobody want ADC support...
30 June 2015 - PtokaX 0.5.1.0 released...
30 April 2015 Crowdfunding for ADC protocol support in PtokaX
26 April 2015 New support hub!
20 February 2015 - PtokaX 0.5.0.3 released...
13 April 2014 - PtokaX 0.5.0.2 released...
23 March 2014 - PtokaX testing version 0.5.0.1 build 454 is available.
04 March 2014 - PtokaX.org sites were temporary down because of DDOS attacks and issues with hosting service provider.

Main Menu

Compile error on Raspbian

Started by illustris, 14 February, 2016, 15:08:03

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

illustris

I'm trying to compile ptokax on raspbian. I followed the instructions at wiki ptokax org/doku.php?id=guides:debian_bugbuntu
Compiling works with LUA5.2, but some of the scripts i want don't work with LUA5.2. Compiling with LUA5.1 gives the following error :

root@raspberrypi:~/PtokaX# make -f makefile-sqlite
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/colUsers.cpp -o /root/PtokaX/obj/colUsers.o
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/DB-SQLite.cpp -o /root/PtokaX/obj/DB-SQLite.o
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/DcCommands.cpp -o /root/PtokaX/obj/DcCommands.o
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/DeFlood.cpp -o /root/PtokaX/obj/DeFlood.o
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/eventqueue.cpp -o /root/PtokaX/obj/eventqueue.o
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/GlobalDataQueue.cpp -o /root/PtokaX/obj/GlobalDataQueue.o
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/hashBanManager.cpp -o /root/PtokaX/obj/hashBanManager.o
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/hashUsrManager.cpp -o /root/PtokaX/obj/hashUsrManager.o
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/hashRegManager.cpp -o /root/PtokaX/obj/hashRegManager.o
c++ -O -g -Wall -Wextra -D_WITH_SQLITE -Iskein/Optimized_32bit -I/usr/include -I/usr/include/lua5.3 -c /root/PtokaX/core/HubCommands.cpp -o /root/PtokaX/obj/HubCommands.o
In file included from /root/PtokaX/core/HubCommands.cpp:31:0:
/root/PtokaX/core/LuaInc.h:26:18: fatal error: lua.h: No such file or directory
  #include <lua.h>
                  ^
compilation terminated.
makefile-sqlite:184: recipe for target '/root/PtokaX/obj/HubCommands.o' failed
make: *** [/root/PtokaX/obj/HubCommands.o] Error 1


I have installed all the required libraries, although installing lua5.1 had this warning :
Note, selecting 'liblua5.1-0-dev' instead of 'liblua5.1-dev'

illustris

Found the problem. The documentation is old. doing just "make" compiles with LUA5.3 as default now. Instead, for LUA5.1 you have to do "make lua51"

SMF spam blocked by CleanTalk